Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.upgrade.actions
Class RemoveAttributeAction

    java.lang.Object
      oracle.ifs.admin.tools.upgrade.actions.AbstractUpgradeAction
          oracle.ifs.admin.tools.upgrade.actions.LibrarySessionAction
              oracle.ifs.admin.tools.upgrade.actions.RemoveAttributeAction

All Implemented Interfaces:
  UpgradeAction

    public class RemoveAttributeAction

extends LibrarySessionAction

Removes an attribute from a classobject.

The attribute to be removed is specified by properties. As a result, upgrade actions can often use this class as is, without needing to introduce an action-specific subclass.

(Unpublished)

Field Summary
`protected static java.lang.String` | `PROPERTY_ATTRIBUTE` The property whose string value is name of the attribute.
`protected static java.lang.String` | `PROPERTY_CLASSOBJECT` The property whose string value is the name of the classobject.
`protected static java.lang.String` | `PROPERTY_DROPCOLUMN` The property whose boolean value is true to drop the attribute's column in the base table (the default), or false to mark the column unused.

Fields inherited from class oracle.ifs.admin.tools.upgrade.actions.LibrarySessionAction
`PROPERTY_PREVENTSESSIONTIMEOUTS`

Constructor Summary
`RemoveAttributeAction()`

Method Summary
`protected void` | `analyze(LibrarySession session)` Called by `analyze`.
`protected void` | `upgrade(LibrarySession session)` Called by `upgrade`.

Methods inherited from class oracle.ifs.admin.tools.upgrade.actions.LibrarySessionAction
`abortTransaction, analyze, postUpgrade, postUpgrade, preUpgrade, preUpgrade, rollback, rollback, upgrade`

Methods inherited from class oracle.ifs.admin.tools.upgrade.actions.AbstractUpgradeAction
`getName, getProperties, getProperty, getUpgradeActionContext, initialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_CLASSOBJECT

    protected static final java.lang.String PROPERTY_CLASSOBJECT

  Description copied from class: `RemoveAttributeAction`
  The property whose string value is the name of the classobject.

  See Also:
    Constant Field Values
  (Unpublished)

### PROPERTY_ATTRIBUTE

    protected static final java.lang.String PROPERTY_ATTRIBUTE

  Description copied from class: `RemoveAttributeAction`
  The property whose string value is name of the attribute.

  See Also:
    Constant Field Values
  (Unpublished)

### PROPERTY_DROPCOLUMN

    protected static final java.lang.String PROPERTY_DROPCOLUMN

  Description copied from class: `RemoveAttributeAction`
  The property whose boolean value is true to drop the attribute's column in the base table (the default), or false to mark the column unused.

  See Also:
    Constant Field Values
  (Unpublished)

Constructor Detail

### RemoveAttributeAction

    public RemoveAttributeAction()

Method Detail

### analyze

    protected void analyze(LibrarySession session)
                    throws IfsException

  Description copied from class: `RemoveAttributeAction`
  Called by `analyze`.

  Subclasses should override this method to perform the analysis phase of the upgrade action.

  Overrides:
    `analyze` in class `LibrarySessionAction`
  Parameters:
    `session` - the session
  Throws:
    `IfsException` - if the operation fails

### upgrade

    protected void upgrade(LibrarySession session)
                    throws IfsException

  Description copied from class: `RemoveAttributeAction`
  Called by `upgrade`.

  Subclasses should override this method to perform the upgrade phase of the upgrade action.

  Overrides:
    `upgrade` in class `LibrarySessionAction`
  Parameters:
    `session` - the session
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD